Bug 1463093 - [WALA] VM status cannot become running if Provisioning.Enabled=n and Provisioning.UseCloudInit=n
[WALA] VM status cannot become running if Provisioning.Enabled=n and Provisio...
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: WALinuxAgent (Show other bugs)
7.4
x86_64 Linux
low Severity low
: rc
: ---
Assigned To: Vitaly Kuznetsov
Virtualization Bugs
: Extras
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-20 02:28 EDT by yuxisun@redhat.com
Modified: 2017-09-28 03:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Github Azure/WALinuxAgent/issues/756 None None None 2017-06-20 02:31 EDT
Github Azure/WALinuxAgent/issues/850 None None None 2017-09-27 23:31 EDT

  None (edit)
Description yuxisun@redhat.com 2017-06-20 02:28:56 EDT
Description of problem:
When Provisioning.Enabled=n and Provisioning.UseCloudInit=n, the VM status cannot become running. It will keep "starting" for a long time and then failed.

Version-Release number of selected component (if applicable):
WALinuxAgent-2.2.12-1

RHEL Version:
RHEL-7.4/6.9

How reproducible:
100%

Steps to Reproduce:
1. Prepare a VM in Azure. Set "Provisioning.Enabled=n" and "Provisioning.UseCloudInit=n" in /etc/waagent.conf
2. Deprovision this VM. Shutdown and capture as a generalized image. Then create a new VM base on it.
3. Wait for over 10 minutes. Check VM status from https://portal.azure.com

Actual results:
The VM status is always "Starting". And after a long time (about 1 hour) it becomes "Failed".

Expected results:
The VM status is "Running".

Additional info:
Root cause is when "Provisioning.Enabled=n" and "Provisioning.UseCloudInit=n", the wala skip the provisioning phase but not send "ready" report  to Azure.(pa/provision/default.py Line#57-59)
Comment 2 yuxisun@redhat.com 2017-09-28 03:27:26 EDT
Fixed upstream:
https://github.com/Azure/WALinuxAgent/pull/851

Verified in WALA 2.2.18 upstream pre-release package. Will verify again in WALA-2.2.18-1 rpm package when it releases.

Note You need to log in before you can comment on or make changes to this bug.